Upgrade from 1.11.1 to 1.11.4 can't edit pages

Help with getting the CMS CORE package up and running. This does not include 3rd party modules, PHP scripts, anything downloaded via module manager or from any external source.
Stom
Forum Members
Forum Members
Posts: 82
Joined: Tue Jul 31, 2007 1:41 am

Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Stom »

I used the various diff packages and ran the upgrades at each step to bring a site up to 1.11.4. Since then I can't edit content. When I bring it up in the admin panel the page only half loads and there is no CSS styling to it.

All templates have {cms_stylesheet} rather than {stylesheet} and I don't think I've enabled caching anywhere. At least, I've not declared it anywhere in my templates.

The domain is http://b.stom66.co.uk/. Here's my system info:

Code: Select all

php_memory_limit		  
process_whole_template		  
output_compression		  
max_upload_size		 2000000
url_rewriting		 mod_rewrite
page_extension		 .html
query_var		 page
image_manipulation_prog		 GD
auto_alias_content		 true
locale		  
default_encoding		 utf-8
admin_encoding		 utf-8
set_names		 true
debug		 false
root_url		 http://b.stom66.co.uk
ssl_url		 https://b.stom66.co.uk
root_path		 /home/beshara/public_html	(0750)
previews_path		 /home/beshara/public_html/tmp/cache	(0777)
uploads_path		 /home/beshara/public_html/uploads	(0755)
uploads_url		 http://b.stom66.co.uk/uploads
image_uploads_path		 /home/beshara/public_html/uploads/images	(0755)
image_uploads_url		 http://b.stom66.co.uk/uploads/images
ssl_uploads_url		 https://b.stom66.co.uk/uploads
use_smarty_php_tags		  

PHP Information
Current PHP Version (phpversion)		  5.2.17
md5 function (md5_function)		  On	(True)
GD version (gd_version)		  2
tempnam function (tempnam_function)		  On	(True)
Magic quotes in runtime (magic_quotes_runtime)		  Off	(False)
Is E_STRICT disabled in error_reporting (E_STRICT)		
PHP Effective Memory Limit (memory_limit)		  64M
Maximum Execution Time (max_execution_time)		  30	 
PHP output_buffering (output_buffering)		  4096
PHP Safe Mode (safe_mode)		  Off	(False)
File uploads (file_uploads)		  On	(True)
Maximum Post Size (post_max_size)		  8M	 
Maximum Upload Size (upload_max_filesize)		  2M	 
Session Save Path (session_save_path)		  /home/beshara/tmp	(0777)
Sessions are allowed to use Cookies (session_use_cookies)		  On	(True)
Basic XML (expat) support (xml_function)		  On	(True)
Checking for the XMLReader class (xmlreader_class)		  Off	(False)	
Checking if the httpd process can create a file inside of a directory it created (create_dir_and_file)		
PHP register_globals (register_globals)		  Off	(False)
disable_functions in PHP (disable_functions)		  
PHP Open Basedir (open_basedir)		  
Test for remote URL (test_remote_url)		
fsockopen: Connection ok!  
fopen: Connection ok! 
Test ini_set (check_ini_set)		  On	(True)
Test for the curl library (curl)		  On
Test curl version (curlversion)		  Test Curl Version	 version 7.15.5, minimum recommended version is 7.19.7

Server Information
Server API (server_api)		 cgi-fcgi
Server Database (server_db_type)		 mysql (mysqli)
Server Database Version (server_db_version)		 5.1.58
Check database access levels (server_db_grants)		 found a "grant all" statement that appears to be suitable
Server Software (server_software)		 apache/2.2.3 (centos)
Server Operating System (server_os)		 linux 2.6.18-308.13.1.el5pae on i686

Permission Information
tmp		 /home/beshara/public_html/tmp	 (0755)
templates_c		 /home/beshara/public_html/tmp/templates_c	 (0777)
modules		 /home/beshara/public_html/modules	 (0755)
File Creation Mask (umask)		 /home/beshara/public_html/tmp/cache	 (0777)
config_file		 0644	
config.php writable. It is more safe if you change permission to read-only
TheLastLegion
Forum Members
Forum Members
Posts: 54
Joined: Sun Dec 21, 2008 4:01 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by TheLastLegion »

Try the following:
1. Go to menumanager and turn off cacheable feature
2. Go to templates and click create new template, look at the default code generated, the blank template codes, do they match in some respect to the templates you have now?
for instance when you create a new template you'll see something like

Code: Select all

{process_pagedata}
Add that to your current template, if it's missing
Stom
Forum Members
Forum Members
Posts: 82
Joined: Tue Jul 31, 2007 1:41 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Stom »

Thanks for replying.

All the menus are already not cachable. I don't have {process_pagedata} in any of my menu templates, I thought this was for the actual page template? It does appear there. Adding it to my menu templates hasn't fixed the issue with the admin panel unfortunately.
TheLastLegion
Forum Members
Forum Members
Posts: 54
Joined: Sun Dec 21, 2008 4:01 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by TheLastLegion »

Sorry I didn't mean add to the menu template but add to your page template if it was missing

Check with your web host if mod_security is turned on. I do know that Smarty generates the css files, in my case mod_security blocked smarty from running. My web host had to whitelist a rule so smarty could run


Finally I would advise you run a checksum to make sure all files are in intact and present
User avatar
Jo Morg
Dev Team Member
Dev Team Member
Posts: 1809
Joined: Mon Jan 29, 2007 4:47 pm

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Jo Morg »

Stom wrote:...ran the upgrades at each step to bring a site up to 1.11.4. Since then I can't edit content.
It seems like the same problem as this or this. Check those posts to see if it helps.
"There are 10 types of people in this world, those who understand binary... and those who don't."
* by the way: English is NOT my native language (sorry for any mistakes...).
Code of Conduit | CMSMS Docs | Help Support CMSMS
My developer Page on the Forge | Yet another blog about CMSMS
GeekMoot 2015 in Ghent, Belgium: I was there!
GeekMoot 2016 in Leicester, UK: I was there!
janvl
Power Poster
Power Poster
Posts: 862
Joined: Wed Aug 13, 2008 10:57 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by janvl »

Hi

I had the same problem. I made a fresh install 1.11.4, and installed all modules one after the other checking after each module if the problem occurred.

After installing "simple tagging" it did.

Removing simple tagging solved the problem in the website I was working on and that had this problem after the upgrade to 1.11.4.

Kind regards,
Jan
Stom
Forum Members
Forum Members
Posts: 82
Joined: Tue Jul 31, 2007 1:41 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Stom »

Jo Morg wrote:
Stom wrote:...ran the upgrades at each step to bring a site up to 1.11.4. Since then I can't edit content.
It seems like the same problem as this or this. Check those posts to see if it helps.
Thanks.

All my stylesheets have {cms_stylesheet} and I've made sure the old stylesheet files aren't there.

At this point it's looking liek a problem with my template.

I've got a bits of code that call CMS and I assume it's something with this.

Posting my template below on the off chance someone can spot an obvious error/things I need to update for 1.11.4

Code: Select all

{process_pagedata}<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<__html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>{sitename} - {title}</title>
	{metadata}
	{cms_stylesheet}
	{cms_selflink dir="start" rellink=1}
	{cms_selflink dir="prev" rellink=1}
	{cms_selflink dir="next" rellink=1}
</head>
</__body>
	<div id="mainwrapper">
{page_image assign=foo}
{if $foo}
	<div class="wrapper">
{else}
	<div class="wrapper" style="padding-bottom:250px;overflow:auto;">
{/if}

		<div id="header">
			<h1>{cms_selflink dir="start" text="$sitename"}</h1>
			{menu loadprops=0 template='top-horiz' number_of_levels='2'}
			<hr class="accessibility" />
		</div>
		<div class="clear"></div>
{page_image assign=foo}
{if $foo}
</div>
		<div id="banner"><img src="/uploads/images/{page_image}" /></div>
		<div class="clear"></div>
	<div class="wrapper" style="padding-bottom:250px;overflow:auto;">
{/if}

<div id="breadcrumbs">
<div id="imageDescription">
{page_attr key="extra1"}
</div>{cms_breadcrumbs root='Home' template='breadcrumbs'}



</div>		
		<div id="main">
			<div id="sidebars">
				{menu template="sidebar" start_level="2" number_of_levels="2" collapse="1"}
			
			<div id="sidebar3">
				<div class="search-box">{search resultpage="search-results"}</div>
				{global_content name='search-links'}
				<div id="socialLinks"><div id="gplus"><g:plusone annotation="none"></g:plusone></div>{socialBookmarking submitto="stumbleupon|facebook|linkedin|twitter|reddit|email" img_size="large"}</div>
			</div>
{content block="sidebar2" label="Sidebar Content (No Background)" assign='sidebar2'}
{if !empty($sidebar2)}
			<div class="sidebar2">
				{$sidebar2}
			</div>
{/if}
			</div>
		
			<div id="content">
				<h2 class="contentH2">{title}</h2>

				{content}
		
				<br />
				<hr class="accessibility" />
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>
	<div id="footer">
		<div class="clear"></div>
		{menu loadprops=0 template='footer' number_of_levels='2'}
		<br clear="all"/>
		{global_content name='footer'}
	</div>
<__body>
</__html>
Stom
Forum Members
Forum Members
Posts: 82
Joined: Tue Jul 31, 2007 1:41 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Stom »

janvl wrote:Hi

I had the same problem. I made a fresh install 1.11.4, and installed all modules one after the other checking after each module if the problem occurred.

After installing "simple tagging" it did.

Removing simple tagging solved the problem in the website I was working on and that had this problem after the upgrade to 1.11.4.

Kind regards,
Jan
Do you mean the SocialBookmarking plugin? I've tried removing this but it doesn't seem to change anything.
janvl
Power Poster
Power Poster
Posts: 862
Joined: Wed Aug 13, 2008 10:57 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by janvl »

Hi,

I mean the Module "simple tagging", didn't even use it.

Just this Module load, made editting pages impossible, after removing it, everything worked as it should.

In my opinion start looking at the modules, the template looks OK to me.

Kind regards,
Jan
User avatar
Dr.CSS
Moderator
Moderator
Posts: 12678
Joined: Thu Mar 09, 2006 5:32 am
Location: Arizona

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Dr.CSS »

Most system info page paste include the list of modules, please include this in case one of them is old enuf to not work with the latest version of CMSMS...
Check ver. CMSMS, PHP, server OS, in System Information page.
Default content http://multiintech.com/defaultcontent/
People are Wonderful
Business is Great
Life is Terrific
Ever wonder what happened to the Album module? Well it is alive and well.
http://album.multiintech.com/
Image
Mats Helge

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Mats Helge »

I have the same problem with empty edit-pages. I dont have a module called "simple tagging" but here is a list of my modules:

CMS Install Information
CMS Version 1.11.4


Installed Modules
CMSMailer 5.2.1
FileManager 1.4.3
MenuManager 1.8.5
ModuleManager 1.5.5
News 2.12.10
Printing 1.1.2
Search 1.7.7
ThemeManager 1.1.7
TinyMCE 2.9.12
FormBuilder 0.7.3
Gallery 1.6
CGExtensions 1.31.3
FrontEndUsers 1.21.2
TreeManager 0.6.0
Forum 0.9.4
CMSPrinting 1.0.3
MicroTiny 1.2.5

I upgraded all the modules that the system told me to upgrade already.

Thanks
dlen
Forum Members
Forum Members
Posts: 67
Joined: Fri Apr 09, 2010 11:32 pm

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by dlen »

Hi,

I ran on the same problem.
  • * I replaced every existing {stylesheets} with {cms_stylesheets}
    * I renamed CMS_ROOT/plugins/function.stylesheet.php
    CMS_ROOT/stylesheet.php so that they are no more functional
I got now in the Frontend an error message:

Code: Select all

Syntax Error in template "tpl_head:26"  on line 3 "{stylesheet}" unknown tag "stylesheet"
and the following "full trace" - messages:

Code: Select all

#0 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templatecompilerbase.php(488): Smarty_Internal_TemplateCompilerBase->trigger_template_error('unknown tag "st...', 3)
#1 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templateparser.php(2393): Smarty_Internal_TemplateCompilerBase->compileTag('stylesheet', Array)
#2 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templateparser.php(3101): Smarty_Internal_Templateparser->yy_r37()
#3 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templateparser.php(3201): Smarty_Internal_Templateparser->yy_reduce(37)
#4 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_smartytemplatecompiler.php(105): Smarty_Internal_Templateparser->doParse(10, '???  <title>')
#5 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templatecompilerbase.php(192): Smarty_Internal_SmartyTemplateCompiler->doCompile('<head>???  {met...')
#6 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_template.php(187): Smarty_Internal_TemplateCompilerBase->compileTemplate(Object(Smarty_Internal_Template))
#7 C:\xampp\htdocs\aum-muenchen\lib\smarty\sysplugins\smarty_internal_templatebase.php(155): Smarty_Internal_Template->compileTemplateSource()
#8 C:\xampp\htdocs\aum-muenchen\lib\classes\class.Smarty_CMS.php(324): Smarty_Internal_TemplateBase->fetch('tpl_head:26', 'p110', NULL, NULL, false, false, false)
#9 C:\xampp\htdocs\aum-muenchen\index.php(239): Smarty_CMS->fetch('tpl_head:26')
#10 {main}
This means, that somehow the {stylesheets}-Tag is still called!

System Information:

----------------------------------------------

Cms Version: 1.11.4

Installed Modules:

CMSMailer: 5.2.1
FileManager: 1.4.3
MenuManager: 1.8.5
ModuleManager: 1.5.5
News: 2.12.10
Printing: 1.1.2
Search: 1.7.7
ThemeManager: 1.1.7
TinyMCE: 2.9.12
CMSPrinting: 1.0.3
MicroTiny: 1.2.5
avplayer: 1.3.2
CGExtensions: 1.31.3
CGSimpleSmarty: 1.5.2


Config Information:

php_memory_limit:
process_whole_template:
output_compression: false
max_upload_size: 128000000
url_rewriting: internal
page_extension:
query_var: page
image_manipulation_prog: GD
auto_alias_content: true
locale:
default_encoding: utf-8
admin_encoding: utf-8
set_names: true


Php Information:

phpversion: 5.3.8
md5_function: An (Ja)
gd_version: 2
tempnam_function: An (Ja)
magic_quotes_runtime: Aus (Nein)
E_STRICT: 2048
E_DEPRECATED: 8192
memory_limit: 128M
max_execution_time: 30
output_buffering: 4096
safe_mode: Aus (Nein)
file_uploads: An (Ja)
post_max_size: 8M
upload_max_filesize: 128M
session_save_path: C:\xampp\tmp (0777)
session_use_cookies: An (Ja)
xml_function: An (Ja)
xmlreader_class: An (Ja)


Server Information:

Server Api: apache2handler
Server Db Type: MySQL (mysql)
Server Db Version: 5.5.16
Server Db Grants: Gefunden eine "Alles gewähren"-Anweisung, die als geeignet scheint


----------------------------------------------
janvl
Power Poster
Power Poster
Posts: 862
Joined: Wed Aug 13, 2008 10:57 am

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by janvl »

as it says:

on line 3 "{stylesheet}"

there must be a template where there still is {stylesheet}

Kind regards,
Jan
User avatar
Jo Morg
Dev Team Member
Dev Team Member
Posts: 1809
Joined: Mon Jan 29, 2007 4:47 pm

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by Jo Morg »

dlen wrote:This means, that somehow the {stylesheets}-Tag is still called!
Either that, or you need to clear the site cache.
"There are 10 types of people in this world, those who understand binary... and those who don't."
* by the way: English is NOT my native language (sorry for any mistakes...).
Code of Conduit | CMSMS Docs | Help Support CMSMS
My developer Page on the Forge | Yet another blog about CMSMS
GeekMoot 2015 in Ghent, Belgium: I was there!
GeekMoot 2016 in Leicester, UK: I was there!
dlen
Forum Members
Forum Members
Posts: 67
Joined: Fri Apr 09, 2010 11:32 pm

Re: Upgrade from 1.11.1 to 1.11.4 can't edit pages

Post by dlen »

@ power poster:

You were right. I wasn't aware, that the templates don't exist as php files when I find-and-replaced all {stylesheet}-strings summarily via HTML-Editor. (I personally would prefer templates as .tpl files as a sidenote, to use a fully blown code editor. Same for css.)

Problem was, I couldn't change this string because cmsms hung after pushing "save and return" after editing the style sheet. It's like cmsms somehow thinks, that the bad string is still in the template when it isn't.

The solution was:
- open the template for editing,
- manually delete /tmp/cache and /tmp/templates_c
while edit window is still open,
- edit and save template.

So the frontend works again, page editing still not though.

So, after installing the guestbook module, the template file has got its old bad {stylesheet} value back from knows the devil where, and this time, my little trick fails.

This all looks like bug 8315 in full glory.
Locked

Return to “[locked] Installation, Setup and Upgrade”